#ifndef _X264_ENC_H
#define _X264_ENC_H

#include <stdint.h>

typedef struct _X264Context X264Context;

X264Context *x264_context_create();

void x264_context_destroy(X264Context *ctx);

int x264_import_yuv(X264Context *ctx, uint8_t *yuv, int width, int height);

void x264_force_idr(X264Context *ctx);

int x264_do_encode(X264Context *ctx, uint8_t **buf);

int x264_params_level(X264Context *ctx, uint8_t lv);

int kylin_x264_encoder_delayed_frames( X264Context *ctx, uint8_t **buf, int *frames);
#endif /* _X264_ENC_H */
